Bug 1262987 - [PATCH] ARM build of 2.10.0 fails
[PATCH] ARM build of 2.10.0 fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texstudio (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: hannes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 16:10 EDT by Jason Tibbitts
Modified: 2015-09-26 13:34 EDT (History)
1 user (show)

See Also:
Fixed In Version: texstudio-2.10.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-26 13:34:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing ARM build (2.75 KB, patch)
2015-09-14 16:17 EDT, Jason Tibbitts
no flags Details | Diff

  None (edit)
Description Jason Tibbitts 2015-09-14 16:10:14 EDT
On IRC the other day you pointed out that you were having trouble getting the new texstudio version to build on ARM.  I took a look and came up with the attached patch.  A scratch build is at http://koji.fedoraproject.org/koji/taskinfo?taskID=11084592
Comment 1 Jason Tibbitts 2015-09-14 16:17:04 EDT
And somehow I hit enter too early.  Aargh.  Was pre-typing this ticket in case the scratch build I kicked off actually builds.

Anyway, this just reverts http://sourceforge.net/p/texstudio/hg/ci/a98c85ab01e3f3ac4db15645ef692781e14b2f16/ and fixes up the package to use it.

I'm happy to commit this and push new builds if you would like me to save you the time.
Comment 2 Jason Tibbitts 2015-09-14 16:17:39 EDT
Created attachment 1073422 [details]
Patch fixing ARM build
Comment 3 hannes 2015-09-15 00:53:12 EDT
Thanks a lot for your help. I am happy to apply the patch. I also had this commit under suspicion and also had one patch ready to revert it. 
Thanks again, new builds should be under way soon.

Cheers,
Johannes
Comment 4 Fedora Update System 2015-09-16 04:02:41 EDT
texstudio-2.10.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15998
Comment 5 Fedora Update System 2015-09-16 13:51:16 EDT
texstudio-2.10.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update texstudio'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15998
Comment 6 Fedora Update System 2015-09-16 21:05:31 EDT
texstudio-2.10.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update texstudio'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15997
Comment 7 Fedora Update System 2015-09-17 03:16:24 EDT
texstudio-2.10.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15998
Comment 8 Fedora Update System 2015-09-17 17:30:40 EDT
texstudio-2.10.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update texstudio'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15998
Comment 9 Fedora Update System 2015-09-26 13:34:03 EDT
texstudio-2.10.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.